Hi there I seem to have some issues with ruby cocoa and active record 
can anyone help?

The following works without problems

require 'osx/cocoa'
require 'rubygems'
OSX::NSBundle.bundleWithPath("/System/Library/Frameworks/IOBluetoothUI.framework").load


But when I bring Active Record to the table...

require 'rubygems'
require_gem 'activerecord'
require 'osx/cocoa'
OSX::NSBundle.bundleWithPath("/System/Library/Frameworks/IOBluetoothUI.framework").load

ArgumentError: wrong number of arguments (0 for 1)
        from (irb):4:in `load'
        from (irb):4


It seems activerecord is redefining the load method in some way.  I'm 
fairly new to Ruby and I'm a little stuck.  Any ideas?  I've already 
tried seperating the above into modules (active record and ruby cocoa 
stuff are in seperate name spaces (I think!) but this doesn't seem to 
work.

Any help would be greatly appreciated!!

Cheers,

Duncan

-- 
Posted via http://www.ruby-forum.com/.